## Apache Zeta Components Manual :: Docs For Class ezcSearchSimpleImage

### Search::ezcSearchSimpleImage

### Class ezcSearchSimpleImage

A sample definition for indexing images.

Source for this file: /Search/src/extractors/helpers/image.php

### Implements interfaces:

- ezcSearchDefinitionProvider

Version: | //autogentag//

### Member Variables

public int | `$height` Image height.
public string | `$id` Id for the image.
public string | `$mime` Image mime-type.
public string | `$title` Image title.
public string | `$url` URL for the image.
public int | `$width` Image width.

### Method Summary

public static ezcSearchDocumentDefinition | `getDefinition( )` Returns the definition of this class.
public ezcSearchSimpleImage | `__construct( [ $id = null] , [ $title = null] , [ $url = null] , [ $width = null] , [ $height = null] , [ $mime = null] )` Constructs a new image definition.
public array(string=>string) | `getState( )` Returns the state of this definition as an array.
public void | `setState( $state )` Sets the state of this definition.

### Methods

#### getDefinition

static ezcSearchDocumentDefinition getDefinition( )

Returns the definition of this class.

##### Implementation of:

Method | Description
--- | ---
`ezcSearchDefinitionProvider::getDefinition()` | Returns the definition for the document.

#### __construct

ezcSearchSimpleImage __construct( [string $id = null] , [string $title = null] , [string $url = null] , [int $width = null] , [int $height = null] , [string $mime = null] )

Constructs a new image definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$title` | string |
`$url` | string |
`$width` | int |
`$height` | int |
`$mime` | string |

#### getState

array(string=>string) getState( )

Returns the state of this definition as an array.

#### setState

void setState( $state )

Sets the state of this definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$state` | array(string=>string) |

Documentation generated by phpDocumentor 1.4.3